Python 2.1.1-3 RPMs updated with LFS 
Author Message
 Python 2.1.1-3 RPMs updated with LFS

Guido has put up my RPMs for python 2.1.1 (thanks) at:

    http://www.*-*-*.com/

This includes Large File Support which enables the writing of files larger
than 2GB.  This also works around the problem with the interpreter exiting
when a file reaches 2GB.

Included above are links to the SRPM (which includes tunable entries at the
top of the .spec file.  Also included are binary RPMs built against RedHat
7.1.

To build binaries for your specific system, download the .src.rpm and do
"rpm --rebuild python2-2.1.1-3.src.rpm", or install it and modify the
settings in the .spec file, then rebuild with "rpm -ba python-2.1.spec".

Enjoy,
Sean
--
 Today's robots are very primitive, capable of understanding only a few simple
 instructions such as 'go left', 'go right', and 'build car'.  -- John Sladek

tummy.com - Linux Consulting since 1995. Qmail, KRUD, Firewalls, Python



Tue, 17 Feb 2004 13:50:29 GMT  
 Python 2.1.1-3 RPMs updated with LFS

Hi, Sean!

I have problems with your src.rpms on my RedHat 6.2.

expat.src.rpm doesnt produce required expat-devel and thus I can't satisfy
that dependency. Also it would be nice if rpms were universal accross
RedHat 5.x-7.x. I just do not know where to find right expat rpms.
I know, lacking expat-devel is RedHat's fault.

Same problem with db1.

Do you have plans making at least RH 6.x compatible src RPMs?
(see "compiling Python 2.1.1" thread in c.l.p. several days ago)

Thank you!

Quote:
> Guido has put up my RPMs for Python 2.1.1 (thanks) at:

>    http://www.python.org/2.1.1/rpms.html

> This includes Large File Support which enables the writing of files larger
> than 2GB.  This also works around the problem with the interpreter exiting
> when a file reaches 2GB.

> Included above are links to the SRPM (which includes tunable entries at the
> top of the .spec file.  Also included are binary RPMs built against RedHat
> 7.1.

> To build binaries for your specific system, download the .src.rpm and do
> "rpm --rebuild python2-2.1.1-3.src.rpm", or install it and modify the
> settings in the .spec file, then rebuild with "rpm -ba python-2.1.spec".

> Enjoy,
> Sean

Sincerely yours, Roman A.Suzi
--



Tue, 17 Feb 2004 14:02:39 GMT  
 Python 2.1.1-3 RPMs updated with LFS

Quote:


> Hi, Sean!

> I have problems with your src.rpms on my RedHat 6.2.

> expat.src.rpm doesnt produce required expat-devel and thus I can't satisfy
> that dependency. Also it would be nice if rpms were universal accross
> RedHat 5.x-7.x. I just do not know where to find right expat rpms.
> I know, lacking expat-devel is RedHat's fault.

> Same problem with db1.

> Do you have plans making at least RH 6.x compatible src RPMs?
> (see "compiling Python 2.1.1" thread in c.l.p. several days ago)

> Thank you!

Use these:

  ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/expat-1.95....
  ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/python2-2.1...

The Python RPM will need to be modified for LFS, but other than that they
should work fine on 6.2 and up.

--



Tue, 17 Feb 2004 14:23:02 GMT  
 Python 2.1.1-3 RPMs updated with LFS

Quote:

>expat.src.rpm doesnt produce required expat-devel and thus I can't satisfy

You are using the expat RPM that is the second link on:

    http://www.*-*-*.com/

If so, are you *SURE* it's not building the -devel package?  Did it build
and you just didn't install it, perhaps?

Quote:
>that dependency. Also it would be nice if rpms were universal accross
>RedHat 5.x-7.x. I just do not know where to find right expat rpms.

The only way for RPMs to be universal across RedHat 5.x through 7.x would
be to continue to use all the libraries from 5.x and not upgrade them, or
to build everything staticly linked.  Most people would prefer to use the
newer libraries and kernels, however.

The SRPMs are about as universal as you can get, but in this case it means
that you need to upgrade your expat RPM.

Quote:
>I know, lacking expat-devel is RedHat's fault.

RedHat's fault?  Why?  It was me that started using a -devel package, and
the expat folks are the ones how made the changes from version 1.1 to
1.95...  Time marches on -- things change...

Quote:
>Do you have plans making at least RH 6.x compatible src RPMs?

As far as I know, these SRPMs work with RedHat 6.x -- as long as you have a
more recent expat.  I think that for 6.2 you'll need to remove the build
prereq line for db1-devel.

I'm not running a 6.2 box here though, so I must admit that it's not a high
priority...  If you can build them and provide me details on what was
required to build it under 6.2, I'll be happy to see about integrating them
into the main distribution.

I'll see if I can get a box to load 6.2 on and figure things out, but I
can't commit to a timeline for it.

Thanks,
Sean
--
 Put out fires during the daytime.  Do your real work at night.
 Sleep is just an {*filter*}ion.  -- Dieter Muller

tummy.com - Linux Consulting since 1995. Qmail, KRUD, Firewalls, Python



Tue, 17 Feb 2004 14:31:18 GMT  
 
 [ 4 post ] 

 Relevant Pages 

1. Python 2.1.1-3 RPMs updated with LFS

2. Update to Linux RPMS of Python 1.5.1

3. Update of Linux RPMS to Python 1.5.1

4. Update release Python LINUX RPMS

5. ANNOUNCE: Addons to the Linux Python 1.5 RPMS (RedHat 5.0) [Update 2]

6. ANNOUNCE: Linux Python 1.5 RPMS (RedHat 5.0) [Update 2]

7. ANNOUNCE: Linux Python 1.5 RPMS (RedHat 5.0) [Update]

8. readline, python 2.1 and LFS

9. NEW Release of Linux Python RPMS [package version 1.5.1-10]

10. New Release of Python 1.5 Linux RPMS for glibc based systems

11. New Python RPMs

12. RPMs for mxDateTime, mxODBC-Solid, python-xml and Fnorb 1.01, Zope (rerelease)

 

 
Powered by phpBB® Forum Software